Subject: Re: [PATCH 0/10] [IOAT] I/OAT patches repost

From: Ingo Oeser <[email-masked]>
Date: Fri, 21 Apr 2006 19:13:57 +0200

David S. Miller wrote:
> The first thing an application is going to do is touch that data.  So
> I think it's very important to prewarm the caches and the only
> straightforward way I know of to always warm up the correct cpu's
> caches is copy_to_user().

Hmm, what if the application is sth. like a MPEG demultiplexer?

There you don't like to look at everything and excplicitly 
ignore received data[1].

Yes, I know this is usually done with hardware demuxers and filters,
but the principle might apply to other applications as well, for which
no hardware solutions exist.

Regards

Ingo Oeser

[1] which you cannot ignore properly with Linux yet.